<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: hooks_interface-cfd.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_ec18794847e0cd84faf0c227a566687b.html">hooks_interface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">hooks_interface/hooks_interface-cfd.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a0a0de6387a107fa394bd3f0a289532fe"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hooks__interface_2hooks__interface-cfd_8f90.html#a0a0de6387a107fa394bd3f0a289532fe">momentum_bc_hook_interface</a> (boundary, CHECK_BC)</td></tr>
<tr class="separator:a0a0de6387a107fa394bd3f0a289532fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad30503416700c0dcb05055f6fa61da49"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hooks__interface_2hooks__interface-cfd_8f90.html#ad30503416700c0dcb05055f6fa61da49">density_bc_hook_interface</a> (boundary, CHECK_BC)</td></tr>
<tr class="separator:ad30503416700c0dcb05055f6fa61da49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8671d776ff9f93cc1c69e6c9786af2c4"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hooks__interface_2hooks__interface-cfd_8f90.html#a8671d776ff9f93cc1c69e6c9786af2c4">scalar_bc_hook_interface</a> (boundary, scalar, CHECK_BC)</td></tr>
<tr class="separator:a8671d776ff9f93cc1c69e6c9786af2c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98ddd1f2264f7bdc04edbcdea29768d2"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hooks__interface_2hooks__interface-cfd_8f90.html#a98ddd1f2264f7bdc04edbcdea29768d2">scalar_source_mid_hook_interface</a> (scalar)</td></tr>
<tr class="separator:a98ddd1f2264f7bdc04edbcdea29768d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed399ab81d2c39a01c91a38c7a3289ce"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hooks__interface_2hooks__interface-cfd_8f90.html#aed399ab81d2c39a01c91a38c7a3289ce">property_hook_interface</a> (property)</td></tr>
<tr class="separator:aed399ab81d2c39a01c91a38c7a3289ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="ad30503416700c0dcb05055f6fa61da49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad30503416700c0dcb05055f6fa61da49">&#9670;&nbsp;</a></span>density_bc_hook_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine density_bc_hook_interface </td>
          <td>(</td>
          <td class="paramtype">type(boundary_), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>CHECK_BC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a0de6387a107fa394bd3f0a289532fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a0de6387a107fa394bd3f0a289532fe">&#9670;&nbsp;</a></span>momentum_bc_hook_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine momentum_bc_hook_interface </td>
          <td>(</td>
          <td class="paramtype">type(boundary_), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>CHECK_BC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aed399ab81d2c39a01c91a38c7a3289ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed399ab81d2c39a01c91a38c7a3289ce">&#9670;&nbsp;</a></span>property_hook_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine property_hook_interface </td>
          <td>(</td>
          <td class="paramtype">type(property_var_t), intent(inout)&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="arts_2arts__hooks_8f90.html#a36db806438ed47406875852e61b69647">property_hook()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="hooks__interface_2hooks__interface-cfd_8f90_aed399ab81d2c39a01c91a38c7a3289ce_cgraph.png" border="0" usemap="#hooks__interface_2hooks__interface-cfd_8f90_aed399ab81d2c39a01c91a38c7a3289ce_cgraph" alt=""/></div>
<map name="hooks__interface_2hooks__interface-cfd_8f90_aed399ab81d2c39a01c91a38c7a3289ce_cgraph" id="hooks__interface_2hooks__interface-cfd_8f90_aed399ab81d2c39a01c91a38c7a3289ce_cgraph">
<area shape="rect" id="node2" href="arts_2arts__hooks_8f90.html#a36db806438ed47406875852e61b69647" title="property_hook" alt="" coords="215,5,319,32"/>
</map>
</div>

</div>
</div>
<a id="a8671d776ff9f93cc1c69e6c9786af2c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8671d776ff9f93cc1c69e6c9786af2c4">&#9670;&nbsp;</a></span>scalar_bc_hook_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine scalar_bc_hook_interface </td>
          <td>(</td>
          <td class="paramtype">type(boundary_), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(scalar_), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>CHECK_BC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a98ddd1f2264f7bdc04edbcdea29768d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98ddd1f2264f7bdc04edbcdea29768d2">&#9670;&nbsp;</a></span>scalar_source_mid_hook_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine scalar_source_mid_hook_interface </td>
          <td>(</td>
          <td class="paramtype">type(scalar_), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="hooks__interface_2hooks__interface-cfd_8f90_a98ddd1f2264f7bdc04edbcdea29768d2_icgraph.png" border="0" usemap="#hooks__interface_2hooks__interface-cfd_8f90_a98ddd1f2264f7bdc04edbcdea29768d2_icgraph" alt=""/></div>
<map name="hooks__interface_2hooks__interface-cfd_8f90_a98ddd1f2264f7bdc04edbcdea29768d2_icgraph" id="hooks__interface_2hooks__interface-cfd_8f90_a98ddd1f2264f7bdc04edbcdea29768d2_icgraph">
<area shape="rect" id="node2" href="arts__cf__md__simulation_8f90.html#aaa0787e1e1ffac7919baa5d385ccad0e" title="solve" alt="" coords="275,193,328,220"/>
<area shape="rect" id="node26" href="namespacecfd__advection__schemes.html#ab077a9ada5ba56dd8e81be1ce41a69f9" title="cfd_advection_schemes\l::cfd_rk_advect_scalar" alt="" coords="220,245,383,286"/>
<area shape="rect" id="node27" href="namespacevdf__disp__ph__solver__m.html#a2c0750c3ce1da5d3ad0b6e7550dfefe2" title="vdf_disp_ph_solver\l_m::energy_step_colloc" alt="" coords="221,310,381,351"/>
<area shape="rect" id="node3" href="namespacearts__cf__md__simulation.html#a60b443203735a2eb58a6041271a38f62" title="arts_cf_md_simulation\l::cfd_rk_interface_velocity" alt="" coords="436,154,611,195"/>
<area shape="rect" id="node7" href="namespacelpt__rk__solver.html#aecf3a11bbd68609282760ad77622118e" title="lpt_rk_solver::lpt\l_rk_solver_step" alt="" coords="464,219,583,261"/>
<area shape="rect" id="node4" href="arts__cf__md__simulation_8f90.html#a32d8e58e1bb05f63e7d0730cb41a8cc2" title="step_2_scalar" alt="" coords="667,161,769,188"/>
<area shape="rect" id="node5" href="namespacearts__cf__md__simulation.html#af2aa18c6289ebee29d5e1c3a2f60cc2e" title="arts_cf_md_simulation\l::arts_cf_md_advance_iter" alt="" coords="820,154,996,195"/>
<area shape="rect" id="node6" href="arts__cf_2arts__cf__md_8f90.html#a0054f1ebddc6162b9c87dcfcb332e369" title="simulation_run" alt="" coords="1058,161,1165,188"/>
<area shape="rect" id="node8" href="namespacelpt__m.html#a169103869bed15388cda14febe0849a4" title="This subroutine calls the various solver subroutines to integrate the equations of the particle..." alt="" coords="664,227,772,253"/>
<area shape="rect" id="node9" href="namespacearts__cf__simulation.html#a4d813a565cb81c0cba28e71029dbdc40" title="Pre&#45;step 2 &#45; prepare for the subiterations. " alt="" coords="844,219,972,261"/>
<area shape="rect" id="node11" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="838,285,978,326"/>
<area shape="rect" id="node10" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1058,227,1165,253"/>
<area shape="rect" id="node12" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1058,284,1165,311"/>
<area shape="rect" id="node24" href="namespacearts__md__simulation.html#a1d63e088dd86b79505c90b8897b44cbe" title="arts_md_simulation\l::arts_md_prestep2" alt="" coords="1044,433,1179,474"/>
<area shape="rect" id="node13" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1258,5,1302,32"/>
<area shape="rect" id="node14" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1249,56,1311,83"/>
<area shape="rect" id="node15" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1237,107,1323,133"/>
<area shape="rect" id="node16" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1245,157,1315,184"/>
<area shape="rect" id="node17" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1246,208,1314,235"/>
<area shape="rect" id="node18" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1232,259,1328,285"/>
<area shape="rect" id="node19" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1234,309,1326,336"/>
<area shape="rect" id="node20" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1251,360,1309,387"/>
<area shape="rect" id="node21" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1243,411,1317,437"/>
<area shape="rect" id="node22" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1231,461,1329,488"/>
<area shape="rect" id="node23" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1251,512,1309,539"/>
<area shape="rect" id="node25" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1227,563,1333,589"/>
<area shape="rect" id="node28" href="namespacenga__x__func.html#a94f37c1a9e0acaabfde04ad9a4837512" title="nga_x_func::x_advance_iter" alt="" coords="431,317,616,344"/>
<area shape="rect" id="node29" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="665,317,771,344"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
